package com.gyee.frame.model.custom;

import java.util.Date;

public class BenchMarkVo {
    private String cid;
    private String lossType;
    private String pjId;
    private String pjName;
    private String lnId;
    private String lnName;
    private String wtId;
    private String wtName;
    private String wpId;
    private String wpName;
    private String zjName;
    private String zjDate;
    private Date recordDate;
    private Integer ordernum;
    private Integer total;
    private Double scadazhcydl;// scada综合场用电率
    private Integer scadazhcydlnum;// scada综合场用电率排名
    private Double dxklyl;// 等效可利用系数
    private Integer dxklylnum;// 等效可利用系数排名
    private Double fdl;// 发电量
    private Integer fdlnum;// 发电量排名
    private Double zhcydl;// 综合场用电率
    private Integer zhcydlnum;// 综合场用电率排名
    private Double fwjsl;// 复位及时率
    private Integer fwjslnum;// 复位及时率排名
    private Integer fwjslfraction;// 复位及时率分数
    private Double ztzhjsl;// 状态转换及时率
    private Integer ztzhjslnum;// 状态转换及时率
    private Integer ztzhjslfraction;// 状态转换分数
    private Double xqjsl;// 消缺及时率
    private Integer xqjslnum;// 消缺及时率排名
    private Integer xqjslfraction;// 消缺及时率分数
    private Double xqjslFs;//消缺及时率分数（值际）
    private Double fjhtyssdl;// 非计划停运损失电量
    private Integer fjhtyssdlnum;// 非计划停运损失电量排名
    private Double sbyxssdl;// 设备运行状态损失电量
    private Integer sbyxssdlnum;// 设备运行状态损失电量排名
    private Double fjhtjsc;// 非计划停机时长
    private Integer fjhtjscnum;// 非计划停机时长排名
    private Double qrfshgl;// 切入风速合格率
    private Integer qrfshglnum;// 切入风速合格率排名
    private Double edfshgl;// 额定风速合格率
    private Integer edfshglnum;// 额定风速合格率排名
    private Double fnlyl;// 风能利用率 发电量/理论发电量
    private Integer fnlylnum;// 风能利用率 发电量/理论发电量排名
    private Integer fnlylfraction;// 风能利用率分数
    private Double gzssl;// 故障损失率 故障损失电量/理论发电量
    private Integer gzsslnum;// 故障损失率 故障损失电量/理论发电量排名
    private Integer gzsslfraction;// 故障损失率分数
    private Double jxssl;// 检修损失率 故障损失电量/理论发电量
    private Integer jxsslnum;// 检修损失率 故障损失电量/理论发电量排名
    private Integer jxsslfraction;// 检修损失率分数
    private Double qfl;// 弃风率 限电损失电量/理论发电量
    private Integer qflnum;// 弃风率 限电损失电量/理论发电量排名
    private Integer qflfraction;// 弃风率分数
    private Double slssl;// 受累损失率 受累损失电量/理论发电量
    private Integer slsslnum;// 受累损失率 受累损失电量/理论发电量排名
    private Integer slsslfraction;// 受累损失率分数
    private Double xnssl;// 性能损失率 欠发损失电量/理论发电量
    private Integer xnsslnum;// 性能损失率 欠发损失电量/理论发电量排名
    private Integer xnsslfraction;// 性能损失率 欠发损失电量/理论发电量排名
    private Double scadafdl;// scada发电量
    private Integer scadafdlnum;
    private Double qfss;// 欠发损失
    private Integer qfssnum;
    private Double gzss;// 故障损失
    private Integer gzssnum;
    private Double whss;// 维护损失
    private Integer whssnum;
    private Double xdss;// 限电损失
    private Integer xdssnum;
    private Double slss;// 受累损失
    private Integer slssnum;
    private Integer fwcs;// 复位次数
    private Integer fwzcs;// 复位总次数
    private Integer ztcs;// 状态次数
    private Integer ztzcs;// 状态总次数
    private Integer xqcs;// 消缺次数
    private Integer xqzcs;// 消缺总次数
    private Integer gzcs;// 故障次数
    private Integer fjts;// 风机台数
    private Double gzcsradio;// 故障率
    private Double gzcsrDf;//故障率得分
    private Double total1;//分数   --奚博新加属性  用于比武总分
    
    public Integer getFjts() {
        return fjts;
    }

    public void setFjts(Integer fjts) {
        this.fjts = fjts;
    }

    public Integer getGzcs() {
        return gzcs;
    }

    public void setGzcs(Integer gzcs) {
        this.gzcs = gzcs;
    }

    public Double getGzcsradio() {
        return gzcsradio;
    }

    public void setGzcsradio(Double gzcsradio) {
        this.gzcsradio = gzcsradio;
    }

    public String getWtId() {
        return wtId;
    }

    public void setWtId(String wtId) {
        this.wtId = wtId;
    }

    public String getWtName() {
        return wtName;
    }

    public void setWtName(String wtName) {
        this.wtName = wtName;
    }

    public String getWpId() {
        return wpId;
    }

    public void setWpId(String wpId) {
        this.wpId = wpId;
    }

    public String getWpName() {
        return wpName;
    }

    public void setWpName(String wpName) {
        this.wpName = wpName;
    }

    public String getZjName() {
        return zjName;
    }

    public void setZjName(String zjName) {
        this.zjName = zjName;
    }

    public String getZjDate() {
        return zjDate;
    }

    public void setZjDate(String zjDate) {
        this.zjDate = zjDate;
    }

    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }

    public Integer getOrdernum() {
        return ordernum;
    }

    public void setOrdernum(Integer ordernum) {
        this.ordernum = ordernum;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Double getScadazhcydl() {
        return scadazhcydl;
    }

    public void setScadazhcydl(Double scadazhcydl) {
        this.scadazhcydl = scadazhcydl;
    }

    public Integer getScadazhcydlnum() {
        return scadazhcydlnum;
    }

    public void setScadazhcydlnum(Integer scadazhcydlnum) {
        this.scadazhcydlnum = scadazhcydlnum;
    }

    public Double getDxklyl() {
        return dxklyl;
    }

    public void setDxklyl(Double dxklyl) {
        this.dxklyl = dxklyl;
    }

    public Integer getDxklylnum() {
        return dxklylnum;
    }

    public void setDxklylnum(Integer dxklylnum) {
        this.dxklylnum = dxklylnum;
    }

    public Double getFdl() {
        return fdl;
    }

    public void setFdl(Double fdl) {
        this.fdl = fdl;
    }

    public Integer getFdlnum() {
        return fdlnum;
    }

    public void setFdlnum(Integer fdlnum) {
        this.fdlnum = fdlnum;
    }

    public Double getZhcydl() {
        return zhcydl;
    }

    public void setZhcydl(Double zhcydl) {
        this.zhcydl = zhcydl;
    }

    public Integer getZhcydlnum() {
        return zhcydlnum;
    }

    public void setZhcydlnum(Integer zhcydlnum) {
        this.zhcydlnum = zhcydlnum;
    }

    public Double getFwjsl() {
        return fwjsl;
    }

    public void setFwjsl(Double fwjsl) {
        this.fwjsl = fwjsl;
    }

    public Integer getFwjslnum() {
        return fwjslnum;
    }

    public void setFwjslnum(Integer fwjslnum) {
        this.fwjslnum = fwjslnum;
    }

    public Double getZtzhjsl() {
        return ztzhjsl;
    }

    public void setZtzhjsl(Double ztzhjsl) {
        this.ztzhjsl = ztzhjsl;
    }

    public Integer getZtzhjslnum() {
        return ztzhjslnum;
    }

    public void setZtzhjslnum(Integer ztzhjslnum) {
        this.ztzhjslnum = ztzhjslnum;
    }

    public Double getXqjsl() {
        return xqjsl;
    }

    public void setXqjsl(Double xqjsl) {
        this.xqjsl = xqjsl;
    }

    public Integer getXqjslnum() {
        return xqjslnum;
    }

    public void setXqjslnum(Integer xqjslnum) {
        this.xqjslnum = xqjslnum;
    }

    public Double getFjhtyssdl() {
        return fjhtyssdl;
    }

    public void setFjhtyssdl(Double fjhtyssdl) {
        this.fjhtyssdl = fjhtyssdl;
    }

    public Integer getFjhtyssdlnum() {
        return fjhtyssdlnum;
    }

    public void setFjhtyssdlnum(Integer fjhtyssdlnum) {
        this.fjhtyssdlnum = fjhtyssdlnum;
    }

    public Double getSbyxssdl() {
        return sbyxssdl;
    }

    public void setSbyxssdl(Double sbyxssdl) {
        this.sbyxssdl = sbyxssdl;
    }

    public Integer getSbyxssdlnum() {
        return sbyxssdlnum;
    }

    public void setSbyxssdlnum(Integer sbyxssdlnum) {
        this.sbyxssdlnum = sbyxssdlnum;
    }

    public Double getFjhtjsc() {
        return fjhtjsc;
    }

    public void setFjhtjsc(Double fjhtjsc) {
        this.fjhtjsc = fjhtjsc;
    }

    public Integer getFjhtjscnum() {
        return fjhtjscnum;
    }

    public void setFjhtjscnum(Integer fjhtjscnum) {
        this.fjhtjscnum = fjhtjscnum;
    }

    public Double getQrfshgl() {
        return qrfshgl;
    }

    public void setQrfshgl(Double qrfshgl) {
        this.qrfshgl = qrfshgl;
    }

    public Integer getQrfshglnum() {
        return qrfshglnum;
    }

    public void setQrfshglnum(Integer qrfshglnum) {
        this.qrfshglnum = qrfshglnum;
    }

    public Double getEdfshgl() {
        return edfshgl;
    }

    public void setEdfshgl(Double edfshgl) {
        this.edfshgl = edfshgl;
    }

    public Integer getEdfshglnum() {
        return edfshglnum;
    }

    public void setEdfshglnum(Integer edfshglnum) {
        this.edfshglnum = edfshglnum;
    }

    public Double getFnlyl() {
        return fnlyl;
    }

    public void setFnlyl(Double fnlyl) {
        this.fnlyl = fnlyl;
    }

    public Integer getFnlylnum() {
        return fnlylnum;
    }

    public void setFnlylnum(Integer fnlylnum) {
        this.fnlylnum = fnlylnum;
    }

    public Double getGzssl() {
        return gzssl;
    }

    public void setGzssl(Double gzssl) {
        this.gzssl = gzssl;
    }

    public Integer getGzsslnum() {
        return gzsslnum;
    }

    public void setGzsslnum(Integer gzsslnum) {
        this.gzsslnum = gzsslnum;
    }

    public Double getJxssl() {
        return jxssl;
    }

    public void setJxssl(Double jxssl) {
        this.jxssl = jxssl;
    }

    public Integer getJxsslnum() {
        return jxsslnum;
    }

    public void setJxsslnum(Integer jxsslnum) {
        this.jxsslnum = jxsslnum;
    }

    public Double getQfl() {
        return qfl;
    }

    public void setQfl(Double qfl) {
        this.qfl = qfl;
    }

    public Integer getQflnum() {
        return qflnum;
    }

    public void setQflnum(Integer qflnum) {
        this.qflnum = qflnum;
    }

    public Double getSlssl() {
        return slssl;
    }

    public void setSlssl(Double slssl) {
        this.slssl = slssl;
    }

    public Integer getSlsslnum() {
        return slsslnum;
    }

    public void setSlsslnum(Integer slsslnum) {
        this.slsslnum = slsslnum;
    }

    public Double getScadafdl() {
        return scadafdl;
    }

    public void setScadafdl(Double scadafdl) {
        this.scadafdl = scadafdl;
    }

    public Integer getScadafdlnum() {
        return scadafdlnum;
    }

    public void setScadafdlnum(Integer scadafdlnum) {
        this.scadafdlnum = scadafdlnum;
    }

    public Double getQfss() {
        return qfss;
    }

    public void setQfss(Double qfss) {
        this.qfss = qfss;
    }

    public Integer getQfssnum() {
        return qfssnum;
    }

    public void setQfssnum(Integer qfssnum) {
        this.qfssnum = qfssnum;
    }

    public Double getGzss() {
        return gzss;
    }

    public void setGzss(Double gzss) {
        this.gzss = gzss;
    }

    public Integer getGzssnum() {
        return gzssnum;
    }

    public void setGzssnum(Integer gzssnum) {
        this.gzssnum = gzssnum;
    }

    public Double getWhss() {
        return whss;
    }

    public void setWhss(Double whss) {
        this.whss = whss;
    }

    public Integer getWhssnum() {
        return whssnum;
    }

    public void setWhssnum(Integer whssnum) {
        this.whssnum = whssnum;
    }

    public Double getXdss() {
        return xdss;
    }

    public void setXdss(Double xdss) {
        this.xdss = xdss;
    }

    public Integer getXdssnum() {
        return xdssnum;
    }

    public void setXdssnum(Integer xdssnum) {
        this.xdssnum = xdssnum;
    }

    public Double getSlss() {
        return slss;
    }

    public void setSlss(Double slss) {
        this.slss = slss;
    }

    public Integer getSlssnum() {
        return slssnum;
    }

    public void setSlssnum(Integer slssnum) {
        this.slssnum = slssnum;
    }

    public Integer getFwcs() {
        return fwcs;
    }

    public void setFwcs(Integer fwcs) {
        this.fwcs = fwcs;
    }

    public Integer getFwzcs() {
        return fwzcs;
    }

    public void setFwzcs(Integer fwzcs) {
        this.fwzcs = fwzcs;
    }

    public Integer getZtcs() {
        return ztcs;
    }

    public void setZtcs(Integer ztcs) {
        this.ztcs = ztcs;
    }

    public Integer getZtzcs() {
        return ztzcs;
    }

    public void setZtzcs(Integer ztzcs) {
        this.ztzcs = ztzcs;
    }

    public Integer getXqcs() {
        return xqcs;
    }

    public void setXqcs(Integer xqcs) {
        this.xqcs = xqcs;
    }

    public Integer getXqzcs() {
        return xqzcs;
    }

    public void setXqzcs(Integer xqzcs) {
        this.xqzcs = xqzcs;
    }

    public String getCid() {
        return cid;
    }

    public void setCid(String cid) {
        this.cid = cid;
    }

    public Double getXnssl() {
        return xnssl;
    }

    public void setXnssl(Double xnssl) {
        this.xnssl = xnssl;
    }

    public Integer getXnsslnum() {
        return xnsslnum;
    }

    public void setXnsslnum(Integer xnsslnum) {
        this.xnsslnum = xnsslnum;
    }

    public Integer getFwjslfraction() {
        return fwjslfraction;
    }

    public void setFwjslfraction(Integer fwjslfraction) {
        this.fwjslfraction = fwjslfraction;
    }

    public Integer getZtzhjslfraction() {
        return ztzhjslfraction;
    }

    public void setZtzhjslfraction(Integer ztzhjslfraction) {
        this.ztzhjslfraction = ztzhjslfraction;
    }

    public Integer getXqjslfraction() {
        return xqjslfraction;
    }

    public void setXqjslfraction(Integer xqjslfraction) {
        this.xqjslfraction = xqjslfraction;
    }

    public Integer getFnlylfraction() {
        return fnlylfraction;
    }

    public void setFnlylfraction(Integer fnlylfraction) {
        this.fnlylfraction = fnlylfraction;
    }

    public Integer getGzsslfraction() {
        return gzsslfraction;
    }

    public void setGzsslfraction(Integer gzsslfraction) {
        this.gzsslfraction = gzsslfraction;
    }

    public Integer getJxsslfraction() {
        return jxsslfraction;
    }

    public void setJxsslfraction(Integer jxsslfraction) {
        this.jxsslfraction = jxsslfraction;
    }

    public Integer getQflfraction() {
        return qflfraction;
    }

    public void setQflfraction(Integer qflfraction) {
        this.qflfraction = qflfraction;
    }

    public Integer getSlsslfraction() {
        return slsslfraction;
    }

    public void setSlsslfraction(Integer slsslfraction) {
        this.slsslfraction = slsslfraction;
    }

    public Integer getXnsslfraction() {
        return xnsslfraction;
    }

    public void setXnsslfraction(Integer xnsslfraction) {
        this.xnsslfraction = xnsslfraction;
    }

    public String getLossType() {
        return lossType;
    }

    public void setLossType(String lossType) {
        this.lossType = lossType;
    }

    public String getPjId() {
        return pjId;
    }

    public void setPjId(String pjId) {
        this.pjId = pjId;
    }

    public String getPjName() {
        return pjName;
    }

    public void setPjName(String pjName) {
        this.pjName = pjName;
    }

    public String getLnId() {
        return lnId;
    }

    public void setLnId(String lnId) {
        this.lnId = lnId;
    }

    public String getLnName() {
        return lnName;
    }

    public void setLnName(String lnName) {
        this.lnName = lnName;
    }

	public Double getTotal1() {
		return total1;
	}

	public void setTotal1(Double total1) {
		this.total1 = total1;
	}

	public Double getGzcsrDf() {
		return gzcsrDf;
	}

	public void setGzcsrDf(Double gzcsrDf) {
		this.gzcsrDf = gzcsrDf;
	}

	public Double getXqjslFs() {
		return xqjslFs;
	}

	public void setXqjslFs(Double xqjslFs) {
		this.xqjslFs = xqjslFs;
	}
    
}
